package com.neusoft.smart.pos.payment.persistent.mapper;

import com.neusoft.smart.pos.payment.persistent.domain.PayTypeDict;
import com.neusoft.smart.pos.payment.persistent.domain.PayTypeDictExample;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface PayTypeDictMapper {
    int countByExample(PayTypeDictExample example);

    int deleteByExample(PayTypeDictExample example);

    int deleteByPrimaryKey(Integer id);

    int insert(PayTypeDict record);

    int insertSelective(PayTypeDict record);

    List<PayTypeDict> selectByExample(PayTypeDictExample example);

    PayTypeDict selectByPrimaryKey(Integer id);

    int updateByExampleSelective(@Param("record") PayTypeDict record, @Param("example") PayTypeDictExample example);

    int updateByExample(@Param("record") PayTypeDict record, @Param("example") PayTypeDictExample example);

    int updateByPrimaryKeySelective(PayTypeDict record);

    int updateByPrimaryKey(PayTypeDict record);

    void batchInsert(@Param("items") List<PayTypeDict> items);
}